default:
variables:
  REPO_NAME: "docker.io"
  IMAGE_NAME: "test"
stages:
  - Build_App

Build_App:
  image: docker:latest
  stage: Build_App
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE" .
    - docker push "$CI_REGISTRY_IMAGE"
  only:
    - master
